<ion-header>
  <ion-toolbar color="secondary">
    <ion-title >My profile</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color='primary'>

  <ion-card color="tertiary" > 

    <ion-button shape="round" color="danger" size="small" (click)="logOut()">
      <ion-icon size="small" slot="icon-only" name="power-outline"></ion-icon>
    </ion-button>
    
    <ion-card-header>
      <ion-card-title > Name: {{currentUser?.firstName}} {{currentUser?.middleName}} {{currentUser?.lastName}}</ion-card-title>
      <ion-card-subtitle>Gender: {{currentUser?.Gender}}</ion-card-subtitle>
      <ion-card-subtitle>Age: {{currentUser?.Age}}</ion-card-subtitle>
      <ion-card-subtitle>Address :{{currentUser?.Address}}</ion-card-subtitle>
      <ion-card-subtitle>Contact Number: {{currentUser?.contactNumber}}</ion-card-subtitle>
      <ion-card-subtitle>Email: {{currentUser?.Email}}</ion-card-subtitle>
    </ion-card-header>

  </ion-card>
      
</ion-content>  

  <ion-toolbar color="secondary">
    <ion-title>My Post</ion-title>
  </ion-toolbar>
<ion-content color='primary'>

  <ion-card *ngFor="let item of postUpload" color="tertiary">

    <span *ngIf="!item.isEdit; else elseBlock">

      <ion-card-header>
        <ion-card-title>Posted by: {{item.fullName}}</ion-card-title>
        <ion-card-title>Looking For: {{item.sideJob}}</ion-card-title>
        <ion-card-subtitle>Side Job Description: {{item.sideDesc}}</ion-card-subtitle>
        <ion-card-subtitle>Located at: {{item.Address}}</ion-card-subtitle>
        <ion-card-subtitle>You can contact Us: {{item.contactNumber}}</ion-card-subtitle>
      </ion-card-header>
      
      <ion-card-content>

        <ion-button shape="round" color="warning" size="small" (click)="EditPost(item)">
          <ion-icon size="small" slot="icon-only" name="create"></ion-icon>
        </ion-button>

        <ion-button shape="round" color="danger" size="small" (click)="RemovePost(item.id)">
          <ion-icon size="small" slot="icon-only" name="trash"></ion-icon>
        </ion-button>

      </ion-card-content>

    </span>

      <ng-template #elseBlock>
        <ion-card-header>
          <ion-card-title>
            <ion-grid>
              <ion-row>
                <ion-col>
                  Edit
                </ion-col>
                <ion-col>
                  <ion-button fill="solid" color="medium" size="small" (click)="item.isEdit = false">
                    Cancel
                  </ion-button>
                </ion-col>
                <ion-col>
                  <ion-button fill="solid" color="success" size="small" (click)="UpdatePost(item)">
                    Update
                  </ion-button>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-title>
        </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label><strong>Full Name</strong></ion-label>
          <ion-input type="text" [(ngModel)]="item.EditFullName"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label><strong>Side Job</strong></ion-label>
          <ion-input type="text" [(ngModel)]="item.EditSideJob"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label><strong>Side Job Desc</strong></ion-label>
          <ion-textarea type="text" [(ngModel)]="item.EditSideDesc"></ion-textarea>
        </ion-item>
        <ion-item>
          <ion-label><strong>Address</strong></ion-label>
          <ion-input type="text" [(ngModel)]="item.EditAddress"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label><strong>Contact Number</strong></ion-label>
          <ion-input type="text" [(ngModel)]="item.EditContactNumber"></ion-input>
        </ion-item>
      </ion-card-content>
    </ng-template>
    


  </ion-card>
 </ion-content>